var tamanioPizarra=0;
jQuery(function($){
	
   	var diaOrigenId = "";
   	
   	/**
   	 * Funcion para que cuando se agrande o estreche la pantalla
   	 * se redimensionen los partes en los dias
   	 */
	$(window).resize(function() {
		/*$.each($("a[id^='parte']"),function(index,value){
			var numPartesDia = $("#"+value.id).parent().children().length;
			var sumapos = 0;
			if(numPartesDia > 1){
				sumapos = 17 * index;
			}
			$("#"+value.id).css({left: $("#"+value.id).parent().position().left, position:'absolute'});
			var tamanioParte = $("#"+value.id).parent().width()-10;
			$("#"+value.id).css({width:tamanioParte});
		});*/
		
		/*$.each($("a[id^='tecparte']"),function(index,value){
			var numPartesDia = $("#"+value.id).parent().children().length;
			var sumapos = 0;
			if(numPartesDia > 1){
				sumapos = 17 * index;
			}
			$("#"+value.id).css({left: $("#"+value.id).parent().position().left, position:'absolute'});
			var tamanioParte = $("#"+value.id).parent().width()-10;
			$("#"+value.id).css({width:tamanioParte});
		});*/
		
	});
	
	/**
	 * Inicializacion
	 */
	 
	
	var numTecnicos=0;
	numTecnicos=$("#numTecnicos").val();
	if(numTecnicos > 0){
		$("#pizarra").css("height",numTecnicos*40);
	}
	
	/**
	 * Recorremos todos los días de la semana para hacer 
	 * los tds de partes sin asignar droppables
	 */
	var indiceAnterior = "";
	for(var indice=1;indice<=7;indice++){
		
		//Comprobamos que no es anterior a la fecha actual
		//Para que no pueda hacer drop en fecha anterior nunca (queda pendiente comprobar la fecha real actual
		//y no la fecha de búsqueda (bug)
		var diaSemanaActual = $("#diaSemanaActual").val();
		var diaSemanaTd = indice;
		
		if(indice >= diaSemanaActual){
			$("#"+indice+"b").droppable({
	            classes: {
	              "ui-droppable-active": "ui-state-active",
	              "ui-droppable-hover": "ui-state-hover"
	            },
	            drop: function( event, ui ) {
	            	if(event.target.id != diaOrigenId){
	            		var diadestino = $(this)[0].id;
	            		var idEvento = ui.draggable.context.id;
	            		$("#"+diadestino).append($("#"+idEvento));
	            		recalcularEspaciosDiaDestino(diadestino,"lineaSemanaSinAsignar");
	            		if(diaOrigenId != ""){
	            			recalcularEspacioDiaOrigen(diaOrigenId,"lineaSemanaSinAsignar");
	            		}
	            		modificarParteQuitarAsignacion(idEvento, diadestino, diaOrigenId);
	            	}
	            }
	        });
		}
		recalcularEspaciosDiaDestino(indice+"b","lineaSemanaSinAsignar");
	}
	
	//Sumamos al tamaño de la pizarra la línea sin asignar
	tamanioPizarra = tamanioPizarra+$("#lineaSemanaSinAsignar").height();
	if(navigator.appVersion.indexOf("MSIE")!=-1){
		tamanioPizarra=tamanioPizarra+6;
	}
	
	/**
	 * Recorremos todos los días de la semana para hacer 
	 * los tds de partes asignados droppables
	 */
	var tecAnterior = "";
	$.each($("td[id^='tecpartetd_']"),function(index,value){
    	//Comprobamos que no sea el primer TD (el del nombre del técnico)
		//para que no sea droppable (si el id tiene _0)
		if(value.id.indexOf("tecpartetd_0") == -1){
			
			//Comprobamos que no es anterior a la fecha actual
			//Para que no pueda hacer drop en fecha anterior nunca
			//(queda pendiente comprobar la fecha real actual
			//y no la fecha de búsqueda (bug)
			var diaSemanaActual = $("#diaSemanaActual").val();
			var diaSemanaTd = value.id.substring(11);
			diaSemanaTd = diaSemanaTd.substring(0,diaSemanaTd.indexOf("_"));
			if(diaSemanaTd >= diaSemanaActual){
				$("#"+value.id).droppable({
		            classes: {
		              "ui-droppable-active": "ui-state-active",
		              "ui-droppable-hover": "ui-state-hover"
		            },
		            drop: function( event, ui ) {
		            	if(event.target.id != diaOrigenId){
		            		var diadestino = $(this)[0].id;
		            		$("#destinoOpcion").val(diadestino);
		            		var idEvento = ui.draggable.context.id;
		            		$("#"+diadestino).append($("#"+idEvento));
		            		var idlineasemana = $("#"+diadestino).parent()[0].id;
		            		
		            		modificarParteAsignar(idEvento, diadestino, diaOrigenId);
		            	}	
				    }
			    });
			}
	    	var tecnico = $("#"+value.id).attr("data-tecnico");
	    	recalcularEspaciosDiaDestino(value.id,"lineaSemanaAsignada_"+tecnico);
	    	if(tecnico && tecnico != "" && tecnico != tecAnterior){
	    		tamanioPizarra = tamanioPizarra+$("#lineaSemanaAsignada_"+tecnico).height();
	    		if(navigator.appVersion.indexOf("MSIE")!=-1){
	    			tamanioPizarra=tamanioPizarra+6;
	    		}
	    		tecAnterior=tecnico;
	    	}
		}
	});
	
	//Siempre pondremos un tamaño mínimo
    if(tamanioPizarra > 40 && numTecnicos > 0){
	    //Después de haber recorrido todas las lineas (tr) y haber sumado
	    //en la variable tamanioPizarra el total de height 
	    //le damos tamaño al div pizarra
    	$("#pizarra").css("height",tamanioPizarra);
		//$("#contPizarra").css("height",tamanioPizarra+220);
    }
    
	
    /**
     * Recorremos todos los partes sin asignar
     * para hacerlos draggables
     */
    $.each($("a[id^='parte']"),function(index,value){
    	
    	$("#"+value.id).draggable({
    		el: null, // the clone of `sourceEl` that will track the mouse
    		parentEl: null, // the element that `el` (the clone) will be attached to
    		top0: null,
    		left0: null,
    		y0: null,
    		x0: null,
    		topDelta: null,
    		leftDelta: null,
    		isFollowing: false,
    		isHidden: false,
    		isAnimating: false,
    		containment: "#calendario",
    		cursor: "move",
    		snap:".fc-day fc-widget-content fc-sun fc-other-month fc-past",
    		revert: "invalid",
    		start: function(ev) {
    			var idEvento = ev.target.id;
    			var diaOrigen = $("#"+idEvento).parent();
    			if(diaOrigen){
    				diaOrigenId = diaOrigen[0].id;
    			}
    		},
    		stop: function(event, ui) {
    			var idEvento = ui.helper.context.id;
    			var diaOrigen = $("#"+idEvento).parent();
    			$("#"+idEvento).css({top:0,left:0});
    		},
    		drag: function(e, ui) {
    			$("#"+ui.helper[0].id).rup_tooltip("close");
    			if($("#"+ui.helper[0].id).attr("data-parte-estado") == "TERM"){
    				$.rup_messages("msgAlert", { 
    		 			title: $.rup.i18n.app.comun.control,
    			 		message: $.rup.i18n.app.agenda.msjParteFinalizado
    			 	});
    				return false;
    			}
    	    }
    	});
    	
    	/**
    	 * Creaccion de tooltip (sin asignar) que mostrará 
    	 * los datos del parte sin asignar al pasar el ratón
    	 * por encima
    	 */
    	//Si esta a partir del 5 día de la semana mostraremos el toottip a la izquierda
    	//sino, a la derecha
    	var tdContieneParte = $("#"+value.id).parent()[0].id.substring(0,1);
    	var my = "top left";
    	var at = "top right";
    	if(tdContieneParte >= 5){
    		my = "top right";
    		at = "bottom left";
    	}
    	$("#"+value.id).rup_tooltip({
    		content: {
    			title: $("#tittool"+value.id).html(),
    			text: $("#tool"+value.id)
    		},
    		position: {
    	        my: my,  // Position my top left...
    	        at: at, // at the bottom right of...
    	        target: $("#"+value.id), // my target
    	        adjust: {
    	        	x: 10,
    	        	y: 0,
    	        	resize:false,
    	        	scroll:false
    	        }
    	    },
    	    style: { 
    	    	widget:true,
    	    	def:false
    	    	
    	    }
    	});
    	
    	$("#"+value.id).dblclick(function(){
    		var idParteSinFormatear = $("#"+value.id)[0].id;
        	var idParteCorr = "";
        	if(idParteSinFormatear != "" && idParteSinFormatear.indexOf("tecparte") != -1){
        		idParteCorr = idParteSinFormatear.substring(8,idParteSinFormatear.indexOf("_"));
        	}else if(idParteSinFormatear != "" && idParteSinFormatear.indexOf("parte") != -1){
        		idParteCorr = idParteSinFormatear.substring(5);
        	}
        	var tipoParte = $("#"+value.id).attr("data-parte-tipo");
        	if(tipoParte == "C"){
        		/**
        		 * Abriremos el parte correctivo
        		 */
        		parent.buscaParteForm.idparte.value = idParteCorr;
        		parent.buscaParteForm.fechaAgenda.value = $("#fechaActualStr").val(); 
        		parent.buscaParteForm.submit();
        	}else if(tipoParte = "P"){
        		/**
        		 * Abriremos el parte preventivo
        		 */
        		parent.buscaFichaForm.idEditarFicha.value = idParteCorr;
        		parent.buscaFichaForm.fechaAgenda.value = $("#fechaActualStr").val();
        		parent.buscaFichaForm.submit();
        	}
        });
    	
    	
    	$("#"+value.id).css("cursor", "url("+$.rup.RUP+"/basic-theme/cursors/context-menu.cur),default" );
    	
    	
      	$("#"+value.id).contextMenu('contextMenu_'+value.id, {
    		menuStyle : {
    			width : "140px"
    		},
    		bindings: {
            	'idDetalle' : function(row, cell) {
    				$("#"+value.id).dblclick();
    			},
    			'idCambiarFecha' : function(row, cell){
    				var tipoParte = $("#"+value.id).attr("data-parte-tipo");
    				var idParte = value.id.substring(5);
    				var estado = $("#"+value.id).attr("data-parte-estado");
    				if(estado == "TERM"){
    					$.rup_messages("msgAlert", { 
        		 			title: $.rup.i18n.app.comun.control,
        			 		message: $.rup.i18n.app.agenda.msjParteEstadoInvalido
        			 	});
    				}else{
    					$("#idParteContext").val(idParte);
       					$("#idTecnicoContext").val("");
       					$("#compartidoContext").val("");
       					$("#tipoParteContext").val(tipoParte);
       					$("#dialogoContext").rup_dialog("open");
    				}
    			},
    			'idAsignarA' : function(row, cell){
    				var tipoParte = $("#"+value.id).attr("data-parte-tipo");
    				var idParte = value.id.substring(5);
    				var estado = $("#"+value.id).attr("data-parte-estado");
    				if(estado == "TERM"){
    					$.rup_messages("msgAlert", { 
        		 			title: $.rup.i18n.app.comun.control,
        			 		message: $.rup.i18n.app.agenda.msjParteEstadoInvalido
        			 	});
    				}else{
    					$("#idParteAsigContext").val(idParte);
       					$("#idTecnicoAsigContext").val("");
       					$("#compartidoAsigContext").val("");
       					$("#tipoParteAsigContext").val(tipoParte);
       					var fechaHoraActual = new Date();
       					var addTime = 120;
       					fechaHoraActual.setSeconds(addTime);
       					$("#fechaplanifAsignueva").rup_date("setDate", fechaHoraActual);
       					$("#dialogoContextAsignar").rup_dialog("open");
    				}
    			}
            },
            trigger:'top'

    	});
      	
      	
      	$("#"+value.id).mousedown(function(event) {
    	    switch (event.which) {
    	        case 3:
    	            $("#"+value.id).rup_tooltip("close");
    	            break;
    	    }
    	});
    	
    	
    });
    
    /**
     * Recorremos todos los partes asignados
     * para hacerlos draggables
     */
    $.each($("a[id^='tecparte']"),function(index,value){
    	
    	$("#"+value.id).draggable({
    		el: null, // the clone of `sourceEl` that will track the mouse
    		parentEl: null, // the element that `el` (the clone) will be attached to
    		top0: null,
    		left0: null,
    		y0: null,
    		x0: null,
    		topDelta: null,
    		leftDelta: null,
    		isFollowing: false,
    		isHidden: false,
    		isAnimating: false,
    		containment: "#calendario",
    		cursor: "move",
    		snap:".fc-day fc-widget-content fc-sun fc-other-month fc-past",
    		revert: "invalid",
    		start: function(ev) {
    			var idEvento = ev.target.id;
    			var diaOrigen = $("#"+idEvento).parent();
    			if(diaOrigen){
    				diaOrigenId = diaOrigen[0].id;
    			}
    		},
    		stop: function(event, ui) {
    			var idEvento = ui.helper.context.id;
    			var diaDestino = $("#"+idEvento).parent();
    			$("#"+idEvento).css({top:0,left:0});
    			
    			var numDiaDestino = diaDestino[0].id.substring( diaDestino[0].id.indexOf("_")+1);
    			numDiaDestino = numDiaDestino.substring(0,numDiaDestino.indexOf("_"));
    			var numDiaOrigen = diaOrigenId.substring(diaOrigenId.indexOf("_")+1);
    			numDiaOrigen = numDiaOrigen.substring(0,numDiaOrigen.indexOf("_"));

    			/*var estado = $("#"+ui.helper[0].id).attr("data-parte-estado");
            	if(estado == "CURS" || estado == "PAUSA"){
            		//Comprobamos si ha cambiado de técnico
            		var tecnicoAnt = "";
            		var tecnicoNuevo = "";
            		tecnicoAnt = idEvento.substring(idEvento.indexOf("_")+1);
            		//Comprobamos que se esta moviendo a otro tecnico y no a sin asignar
            		if(diaDestino.indexOf("tecparte") != -1){
            			var diaDestinoFormateado = diaDestino.substring(diaDestino.indexOf("_")+1);
                		tecnicoNuevo = diaDestinoFormateado.substring(diaDestinoFormateado.indexOf("_")+1);
                		
                		if(tecnicoNuevo != tecnicoAnt){
                			//Mostramos el dialogo para saber que hacer
                    		//1- Traspasar el parte
                    		//2- Asignar al tecnico nuevo y compartir
                    		//3- Nada
                    		$("#parteOpcion").val(idEvento);
                    		$("#origenOpcion").val(diaOrigenId);
                    		if(estado == "CURS"){
                    			$("#txtOpcion").text($.rup.i18n.app.agenda.msjParteOpcionCURS);
                    		}else if(estado == "PAUSA"){
                    			$("#txtOpcion").text($.rup.i18n.app.agenda.msjParteOpcionPAUSA);
                    		}	
                    		$("#dialogoOpciones").rup_dialog("open");
                		}else{
                			$.rup_messages("msgAlert", { 
            		 			title: $.rup.i18n.app.comun.control,
            			 		message: $.rup.i18n.app.agenda.msjParteFinalizado
            			 	});
                			parent.btnRecargar.click();
                		}
            		}
            	}else{
            		modificarParteAsignar(idEvento, diaDestino, diaOrigenId);
            	}*/
    		},
    		drag: function(e, ui) {
    			$("#"+ui.helper[0].id).rup_tooltip("close");
    			if($("#"+ui.helper[0].id).attr("data-parte-estado") == "TERM"){
    				$.rup_messages("msgAlert", { 
    		 			title: $.rup.i18n.app.comun.control,
    			 		message: $.rup.i18n.app.agenda.msjParteFinalizado
    			 	});
    				return false;
    			}
    			if($("#"+ui.helper[0].id).attr("data-parte-estado") == "CURS"){
    				$.rup_messages("msgAlert", { 
    		 			title: $.rup.i18n.app.comun.control,
    			 		message: $.rup.i18n.app.agenda.msjParteEnCurso
    			 	});
    				return false;
    			}
    			if($("#"+ui.helper[0].id).attr("data-parte-estado") == "PAUSA"){
    				$.rup_messages("msgAlert", { 
    		 			title: $.rup.i18n.app.comun.control,
    			 		message: $.rup.i18n.app.agenda.msjParteEnPausa
    			 	});
    				return false;
    			}
    	    }
    	});
    	
    	
    	/**
    	 * Creaccion de tooltip que mostrará 
    	 * los datos del parte asignado al pasar el ratón
    	 * por encima
    	 */
    	//Si esta a partir del 5 día de la semana mostraremos el toottip a la izquierda
    	//sino, a la derecha
    	var tdContieneParte = $("#"+value.id).parent()[0].id.substring(11);
    	tdContieneParte = tdContieneParte.substring(0,tdContieneParte.indexOf("_"));
    	//Si la línea del técnico esta entre las 3 primeras debemos mostrar el tooltip hacia abajo, en caso contrario hacia arriba
    	var trNumLinea = $("#"+value.id).parent().attr("data-linea");
    	var my = "bottom left";
    	var at = "bottom right";
    	if(trNumLinea < 3){
    		if(tdContieneParte >= 5){
        		my = "top right";
        		at = "top left";
        	}else{
        		my = "top left";
        		at = "top right";
        	}
    	}else{
    		if(tdContieneParte >= 5){
        		my = "bottom right";
        		at = "bottom left";
        	}else{
        		my = "bottom left";
        		at = "bottom right";
        	}
    	}
    	
    	
    	
    	$("#"+value.id).rup_tooltip({
    		content: {
    			title: $("#tittool"+value.id).html(),
    			text: $("#tool"+value.id)
    		},
    		position: {
    	        my: my,  // Position my top left...
    	        at: at, // at the bottom right of...
    	        target: $("#"+value.id), // my target
    	        adjust: {
    	        	x: 10,
    	        	y: -12,
    	        	resize:false,
    	        	scroll:false
    	        }
    	    },
    	    style: { 
    	    	widget:true,
    	    	def:false
    	    	
    	    }
    	});
    	
    	$("#"+value.id).dblclick(function(){
    		var idParteSinFormatear = $("#"+value.id)[0].id;
        	var idParteCorr = "";
        	if(idParteSinFormatear != "" && idParteSinFormatear.indexOf("tecparte") != -1){
        		idParteCorr = idParteSinFormatear.substring(8,idParteSinFormatear.indexOf("_"));
        	}else if(idParteSinFormatear != "" && idParteSinFormatear.indexOf("parte") != -1){
        		idParteCorr = idParteSinFormatear.substring(5);
        	}
        	var tipoParte = $("#"+value.id).attr("data-parte-tipo");
        	if(tipoParte == "C"){
        		/**
        		 * Abriremos el parte correctivo
        		 */
        		parent.buscaParteForm.idparte.value = idParteCorr;
        		parent.buscaParteForm.fechaAgenda.value = $("#fechaActualStr").val(); 
        		parent.buscaParteForm.submit();
        	}else if(tipoParte = "P"){
        		/**
        		 * Abriremos el parte preventivo
        		 */
        		parent.buscaFichaForm.idEditarFicha.value = idParteCorr;
        		parent.buscaFichaForm.fechaAgenda.value = $("#fechaActualStr").val();
        		parent.buscaFichaForm.submit();
        	}
        });
    	
    	
    	$("#"+value.id).css("cursor", "url("+$.rup.RUP+"/basic-theme/cursors/context-menu.cur),default" );
    	
    	
    	$("#"+value.id).contextMenu('contextMenu_'+value.id, {
    		menuStyle : {
    			width : "140px"
    		},
    		bindings: {
            	'idDetalle' : function(row, cell) {
    				$("#"+value.id).dblclick();
    			},
    			'idCambiarFecha' : function(row, cell){
    				var tipoParte = $("#"+value.id).attr("data-parte-tipo");
    				var compartido = $("#"+value.id).attr("data-parte-compartido");
    				var estado = $("#"+value.id).attr("data-parte-estado");
    				var idTecnico = value.id.substring(value.id.indexOf("_")+1);
    				var idParte = value.id.substring(8,value.id.indexOf("_"));
    				if(estado == "TERM" || estado == "CURS" || estado == "PAUSA"){
    					$.rup_messages("msgAlert", { 
        		 			title: $.rup.i18n.app.comun.control,
        			 		message: $.rup.i18n.app.agenda.msjParteEstadoInvalido
        			 	});
    				}else{
    					$("#idParteContext").val(idParte);
    					$("#idTecnicoContext").val(idTecnico);
    					$("#compartidoContext").val(compartido);
    					$("#tipoParteContext").val(tipoParte);
    					$("#dialogoContext").rup_dialog("open");
    				}
    				
    			},
    			'idAsignarA' : function(row,cell){
    				var tipoParte = $("#"+value.id).attr("data-parte-tipo");
    				var compartido = $("#"+value.id).attr("data-parte-compartido");
    				var estado = $("#"+value.id).attr("data-parte-estado");
    				var idTecnico = value.id.substring(value.id.indexOf("_")+1);
    				var idParte = value.id.substring(8,value.id.indexOf("_"));
    				if(estado == "TERM" || estado == "CURS" || estado == "PAUSA"){
    					$.rup_messages("msgAlert", { 
        		 			title: $.rup.i18n.app.comun.control,
        			 		message: $.rup.i18n.app.agenda.msjParteEstadoInvalido
        			 	});
    				}else{
    					$("#idParteAsigContext").val(idParte);
    					$("#idTecnicoAsigContext").val(idTecnico);
    					$("#compartidoAsigContext").val(compartido);
    					$("#tipoParteAsigContext").val(tipoParte);
    					var fechaHoraActual = new Date();
    					var addTime = 120;
       					fechaHoraActual.setSeconds(addTime);
    					$("#fechaplanifAsignueva").rup_date("setDate", fechaHoraActual);
    					$("#dialogoContextAsignar").rup_dialog("open");
    				}
    			},
    			'idLiberar' : function(row,cell){
    				var tipoParte = $("#"+value.id).attr("data-parte-tipo");
    				var compartido = $("#"+value.id).attr("data-parte-compartido");
    				var estado = $("#"+value.id).attr("data-parte-estado");
    				var fechaParte = $("#"+value.id).attr("data-parte-fecha");
    				var idTecnico = value.id.substring(value.id.indexOf("_")+1);
    				var idParte = value.id.substring(8,value.id.indexOf("_"));
    				if(estado == "TERM" || estado == "CURS" || estado == "PAUSA"){
    					$.rup_messages("msgAlert", { 
        		 			title: $.rup.i18n.app.comun.control,
        			 		message: $.rup.i18n.app.agenda.msjParteEstadoInvalido
        			 	});
    				}else{
    					$.rup_messages("msgConfirm", { 
					 		message: $.rup.i18n.app.agenda.msjParteLiberar,
					 		OKFunction: function(){
		    					liberarParteContext(idParte,idTecnico,tipoParte,fechaParte,compartido);
					 		},
					 		CANCELFunction: function(){
					 			
					 		}
					 	});
    					
    				}
    			}
            },
            trigger:'right'

    	});
    	
    	$("#"+value.id).mousedown(function(event) {
    	    switch (event.which) {
    	        case 3:
    	            $("#"+value.id).rup_tooltip("close");
    	            break;
    	    }
    	});

       
    	
    	
    });
    $.each($("td[id^='tecpartetd_0_']"),function(index,value){
    	/**
    	 * Creaccion de tooltip que mostrará 
    	 * los datos del técnico al pasar el ratón
    	 * por encima
    	 */
    	$("#"+value.id).rup_tooltip({
    		content: {
    			text: $("#tool"+value.id)
    		},
    		position: {
    	        my: 'bottom left',  // Position my top left...
    	        at: 'middle center', // at the bottom right of...
    	        target: $("#"+value.id), // my target
    	        adjust: {
    	        	x: 10,
    	        	y: -12,
    	        	resize:false,
    	        	scroll:false
    	        }
    	    },
    	    style: { 
    	    	widget:true,
    	    	def:false
    	    	
    	    }
    	});
    });
    
    
    $("#fechaplanifnueva").rup_date({
    		datetimepicker:true,
			showSecond: false,
			timeFormat: 'hh:mm'
    });
    
    $("#fechaplanifAsignueva").rup_date({
		datetimepicker:true,
		showSecond: false,
		timeFormat: 'hh:mm'
    });
    
    
    
    /**
     * Fin inicializacion
     */
	
    
  //Mostrar la ventana
	$("#dialogoOpciones").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:150,
        width:400,  
        resizable:false,
        title:$.rup.i18n.app.comun.serviciosVigentes,
        autoOpen:false,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "btn_opcion1",
	        	text: $.rup.i18n.app.agenda.btnTraspasar,
	        	click: function() {
	        		var idParte = $("#parteOpcion").val();
	        		var destino = $("#destinoOpcion").val();
	        		var origen = $("#origenOpcion").val();
	        		modificarParteTraspasar();
	        	}
        	},
        	{
	        	id: "btn_opcion2",
	        	text: $.rup.i18n.app.agenda.btnAsignar,
	        	click: function() {
	        		var idParte = $("#parteOpcion").val();
	        		var destino = $("#destinoOpcion").val();
	        		var origen = $("#origenOpcion").val();
	        		modificarParteCompartir();
	        	}
        	},
	        {
	    		id: "btn_opcion3",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#dialogoOpciones").rup_dialog("close");
	        		parent.btnRecargar.click();
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
    
	
	$("#dialogoContext").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:150,
        width:400,  
        resizable:false,
        title:$.rup.i18n.app.agenda.btnCambiarFecha,
        autoOpen:false,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "btn_opcionAceptar",
	        	text: $.rup.i18n.app.agenda.btnCambiarFecha,
	        	click: function() {
	        		if($("#fechaplanifnueva").val() != ""){
	        			//Se comprueba que la fecha nueva no sea inferior a la
	        			//fecha actual
	        			var fechaActual = new Date();
						//fechaActual.setHours(0,0,0,0);
						var dia_real; 
						var mes_real; 
						var anio_real;
						var hora_real;
						var minutos_real;
						if($.rup_utils.capitalizedLang() == "Eu"){
							anio_real = $("#fechaplanifnueva").val().substring(0,4);
							mes_real = $("#fechaplanifnueva").val().substring(5,7);
							dia_real = $("#fechaplanifnueva").val().substring(8,10);
						}else{
							dia_real = $("#fechaplanifnueva").val().substring(0,2);
							mes_real = $("#fechaplanifnueva").val().substring(3,5);
							anio_real = $("#fechaplanifnueva").val().substring(6,10);
						}
						hora_real = $("#fechaplanifnueva").val().substring(11,13);
						minutos_real = $("#fechaplanifnueva").val().substring(14,16);
						var fechaDestino = new Date(anio_real,mes_real-1,dia_real,hora_real,minutos_real);
						if(fechaDestino < fechaActual){
							$.rup_messages("msgAlert", { 
		    		 			title: $.rup.i18n.app.comun.control,
		    			 		message: $.rup.i18n.app.agenda.msjIntroducirFechaCorrecta
		    			 	});
						}else{
							//if(fechaDestino.getTime() == fechaActual.getTime()){
//								$("#dialogoContext").rup_dialog("close");
							//}else{
								//Se cambiará la fecha de planificación del parte o ficha
			        			if($("#compartidoContext").val() == "si"){
			        				$.rup_messages("msgConfirm", { 
								 		message: $.rup.i18n.app.agenda.msjParteCompartidoNuevaFecha,
								 		OKFunction:modificarFechaParte,
								 		CANCELFunction: function(){
								 			$("#dialogoContext").rup_dialog("close");
								 		}
								 	});
			        			}else{
			        				if($("#idTecnicoContext").val() != ""){
			        					modificarFechaParte();
			        				}else{
			        					modificarFechaParteSinAsignar();
			        				}
			        			}
							//}
						}
	        		}else{
	        			$.rup_messages("msgAlert", { 
	    		 			title: $.rup.i18n.app.comun.control,
	    			 		message: $.rup.i18n.app.agenda.msjIntroducirFecha
	    			 	});
	        		}
	        	}
        	},
	        {
	    		id: "btn_opcionCancelar",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#dialogoContext").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
	
	$("#comboTecnicosAsig").rup_combo(
	{
		source: "../usutecnicos/comboTecnicosUsuario?idUsuario="+$("#idUsuario").val(),
		sourceParam : {
			label : "nombre",
			value : "idtecnico"
		},
		blank:"",
		selected:"",
		width : 300,
		showValue: false,
		submitAsString : true,
		method : 'GET',
		select : function() { 
			$("#idTecnicoNuevoAsigContext").val($("#comboTecnicosAsig").val());
		}
			
	});
	
	$("#dialogoContextAsignar").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
	    height:200,
	    width:450,  
	    top:200,
	    resizable:false,
	    title:$.rup.i18n.app.agenda.btnAsignar,
	    autoOpen:false,
	    showLoading:true,
	    async:false, 
	    zIndex: -1,
	    buttons:[{
	        	id: "btn_opcionAceptarAsig",
	        	text: $.rup.i18n.app.agenda.btnAsignar,
	        	click: function() {
	        		if($("#fechaplanifAsignueva").val() != "" && $("#comboTecnicosAsig").val() != ""){
	        			//Se comprueba que la fecha nueva no sea inferior a la
	        			//fecha actual
	        			var fechaActual = new Date();
	        			
						//fechaActual.setHours(0,0,0,0);
						var dia_real; 
						var mes_real; 
						var anio_real;
						var hora_real;
						var minutos_real;
						if($.rup_utils.capitalizedLang() == "Eu"){
							anio_real = $("#fechaplanifAsignueva").val().substring(0,4);
							mes_real = $("#fechaplanifAsignueva").val().substring(5,7);
							dia_real = $("#fechaplanifAsignueva").val().substring(8,10);
						}else{
							dia_real = $("#fechaplanifAsignueva").val().substring(0,2);
							mes_real = $("#fechaplanifAsignueva").val().substring(3,5);
							anio_real = $("#fechaplanifAsignueva").val().substring(6,10);
						}
						hora_real = $("#fechaplanifAsignueva").val().substring(11,13);
						minutos_real = $("#fechaplanifAsignueva").val().substring(14,16);
						var fechaDestino = new Date(anio_real,mes_real-1,dia_real,hora_real,minutos_real);
						
						if(fechaDestino < fechaActual){
							$.rup_messages("msgAlert", { 
		    		 			title: $.rup.i18n.app.comun.control,
		    			 		message: $.rup.i18n.app.agenda.msjIntroducirFechaCorrecta
		    			 	});
						}else{
							//if(fechaDestino.getTime() == fechaActual.getTime()){
//								$("#dialogoContext").rup_dialog("close");
							//}else{
								//Se cambiará la fecha de planificación del parte o ficha
			        			/*if($("#compartidoContext").val() == "si"){
			        				$.rup_messages("msgConfirm", { 
								 		message: $.rup.i18n.app.agenda.msjParteCompartidoNuevaFecha,
								 		OKFunction:modificarFechaParte,
								 		CANCELFunction: function(){
								 			$("#dialogoContextAsignar").rup_dialog("close");
								 		}
								 	});
			        			}else{*/
			        				if($("#idTecnicoAsigContext").val() != ""){
			        					if($("#idTecnicoAsigContext").val() == $("#comboTecnicosAsig").val()){
			        						$.rup_messages("msgAlert", { 
			    		    		 			title: $.rup.i18n.app.comun.control,
			    		    			 		message: $.rup.i18n.app.agenda.msjTecDif
			    		    			 	});
			        					}else{
			        						cambiarAsignacionParteContext();
			        					}	
			        				}else{
			        					nuevaAsignacionParteContext();
			        				}
			        			//}
							//}
						}
	        		}else{
	        			$.rup_messages("msgAlert", { 
	    		 			title: $.rup.i18n.app.comun.control,
	    			 		message: $.rup.i18n.app.agenda.msjIntroducirDatos
	    			 	});
	        		}
	        	}
	    	},
	        {
	    		id: "btn_opcionCancelar",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#dialogoContextAsignar").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
	    	}]
	  });
	
	setTimeout(function() {
		var tamanioasignadas = $("#filasasig").height()+28;
	    console.log(tamanioasignadas);
	    console.log($("#lineaSemanaSinAsignar").height());
	    console.log($("#lineaSemanaSinAsignar").css("height"));
	    $("#filasasig").css({height:tamanioasignadas-$("#lineaSemanaSinAsignar").height()});
	    $("#pizarra").css({height:$("#filasasig").height()+$("#lineaSemanaSinAsignar").height()+5});
    }, 200);
    
});



function recalcularEspaciosDiaDestino(diadestino, lineaDestino){
	var numPartesDia = $("#"+diadestino).children().length;
    var sumapos = 0;
    if(numPartesDia >= 5){
    	$("#"+lineaDestino).css({height:numPartesDia * 17+17});
   		$("#pizarra").css({height:17+$("#pizarra").height()});
    }
    
	
    
    /*for(var i=0;i<numPartesDia;i++){
    	if(i > 0){
    		sumapos = 17 * i;
    	}else if(i == 0){
    		sumapos = 0;
    	}	
    	var evento = $("#"+diadestino).children()[i].id;
    	$("#"+evento).css({top: $("#"+diadestino).position().top+ sumapos, left: $("#"+diadestino).position().left, position:'absolute'});
    	var tamanioParte = $("#"+evento).parent().width()-10;
    	$("#"+evento).css({width:tamanioParte});
    }*/
    //$("#"+idEvento).css({top: $("#"+diadestino+"b").position().top+ sumapos, left: $("#"+diadestino+"b").position().left, position:'absolute'});
    //var tamanioParte = $("#"+idEvento).parent().width()-10;
    //$("#"+idEvento).css({width:tamanioParte});
    
}

function recalcularEspacioDiaOrigen(diaOrigen, lineaOrigen){
	 var numPartesDia = $("#"+diaOrigen).children().length;
     var sumapos = 0;
     if(numPartesDia >= 5){
    	 $("#"+lineaOrigen).css({height:numPartesDia * 17});
    	 //$("#pizarra").css({height:$("#pizarra").height()-17});
     }
     
	 //if(numPartesDia >= 4){
	   	//$("#lineaSemanaSinAsignar").css({height:numPartesDia * 17});
	 //}
     /*for(var i=0;i<numPartesDia;i++){
    	if(i > 0){
    		sumapos = 17 * i;
    	}else if(i == 0){
    		sumapos = 0;
    	}	
    	var evento = $("#"+diaOrigen).children()[i].id;
    	$("#"+evento).css({top: $("#"+diaOrigen).position().top+ sumapos, left: $("#"+diaOrigen).position().left, position:'absolute'});
    	var tamanioParte = $("#"+evento).parent().width()-10;
    	$("#"+evento).css({width:tamanioParte});
    }*/
}



function formatHoraMinSegDate(date) {
  var hours = date.getHours();
  var minutes = date.getMinutes();
  var segundos = date.getSeconds();
  milisegundos_reales = date.getMilliseconds();
  hours = hours < 10 ? '0'+hours : hours;
  minutes = minutes < 10 ? '0'+minutes : minutes;
  segundos = segundos < 10 ? '0'+segundos : segundos;
  var strTime = hours + ':' + minutes + ':' + segundos;
  return strTime;
}



/**
 * Funcion para cuando se pasa un parte que tiene un técnico asignado
 * a partes sin asingar o se mueve de fecha de planificación un parte sin asignar y 
 * sigue quedándose sin asignar
 * @param idParteSinFormatear
 * @param destinoSinFormatear
 * @param origen
 */
function modificarParteQuitarAsignacion(idParteSinFormatear, destinoSinFormatear, origen){
	var idParte = "";
	var idTecnico = "";
	var url = "";
	var fechaDestino = "";
	var fechaOrigen = "";
	var tipoParte = "";
	tipoParte = $("#"+idParteSinFormatear).attr("data-parte-tipo");
	var compartido = $("#"+idParteSinFormatear).attr("data-parte-compartido");
	if(idParteSinFormatear != "" && idParteSinFormatear.indexOf("tecparte") != -1){
		//Es un parte que estaba asignado y ahora se tiene que desasignar
		idParte = idParteSinFormatear.substring(8,idParteSinFormatear.indexOf("_"));
		idTecnico = idParteSinFormatear.substring(idParteSinFormatear.indexOf("_")+1);
		url = "../agenda/modificarAsignacionSinTecnico";
		var destino = destinoSinFormatear.substring(0,1);
		fechaDestino = $("#"+destino).attr("data-date");
		var fechaHoraActual = new Date();
		var strHora = formatHoraMinSegDate(fechaHoraActual); 
		fechaDestino = fechaDestino + " " + strHora;
		
		
	}else if(idParteSinFormatear != "" && idParteSinFormatear.indexOf("parte") != -1){
		//Es un parte que no estaba asignado y ahora tampoco, solo se modifica la fecha
		idParte = idParteSinFormatear.substring(5);
		url = "../agenda/modificarFechaSinTecnico";
		var destino = destinoSinFormatear.substring(0,1);
		fechaDestino = $("#"+destino).attr("data-date");
		var fechaHoraActual = new Date();
		var strHora = formatHoraMinSegDate(fechaHoraActual); 
		fechaDestino = fechaDestino + " " + strHora;
		
		var origenFormateado = origen.substring(0,1);
		fechaOrigen = $("#"+origenFormateado).attr("data-date");
	}
	if(fechaOrigen != fechaDestino){
		$.ajax({
			  type: "POST",				  
			  url: url,
			  data:  { idParte:idParte, fechaDestino:fechaDestino, idTecnico:idTecnico, tipoParte: tipoParte, compartido: compartido
			  },
			  beforeSend : function(data) {
					//Mostrar div de sincronizando
				  $('#loaderdiv', window.parent.document).show();
			  },
			  success: function(data4){					 
				  $("#btnBuscar", top.document).click();
				  /*$("#filtroAgendaForm").attr("method","GET");
			    	$("#filtroAgendaForm").attr("target","iframeagenda");
			    	$("#filtroAgendaForm").submit();*/
				  },
			  error: function() {
				  $('#loaderdiv', window.parent.document).hide();
				  //mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
			  },
			  dataType: "json"
			});
	}
	
	
}

/**
 * Función para cuando se pasa un parte sin asignar y se asigna a un técnico
 * O para cuando un parte se cambia de un técnico a otro
 * O para cuando un parte se cambia de fecha y sigue perteneciendo al mismo técnico
 * @param idParteSinFormatear
 * @param destinoSinFormatear
 * @param origenSinFormatear
 */
function modificarParteAsignar(idParteSinFormatear, destinoSinFormatear, origenSinFormatear){
	var idParte = "";
	var idTecnicoNuevo = "";
	var idTecnicoAnterior = "";
	var url = "";
	var fechaDestino = "";
	var fechaOrigen = "";
	var tipoParte = "";
	tipoParte = $("#"+idParteSinFormatear).attr("data-parte-tipo");
	var compartido = $("#"+idParteSinFormatear).attr("data-parte-compartido");
	if(idParteSinFormatear != "" && idParteSinFormatear.indexOf("tecparte") != -1){
		//Es un parte que estaba asignado a un técnico y ahora se tiene que desasignar de un tecnico para
		//asignarselo a otro
		idParte = idParteSinFormatear.substring(8,idParteSinFormatear.indexOf("_"));
		idTecnicoAnterior = idParteSinFormatear.substring(idParteSinFormatear.indexOf("_")+1);
		idTecnicoNuevo = destinoSinFormatear.substring(destinoSinFormatear.indexOf("_")+1);
		idTecnicoNuevo = idTecnicoNuevo.substring(idTecnicoNuevo.indexOf("_")+1);
		var destino = destinoSinFormatear.substring(destinoSinFormatear.indexOf("_")+1);
		destino = destino.substring(0,destino.indexOf("_"));
		fechaDestino = $("#"+destino).attr("data-date");
		var fechaHoraActual = new Date();
		var strHora = formatHoraMinSegDate(fechaHoraActual); 
		fechaDestino = fechaDestino + " " + strHora;
		
		var origen = origenSinFormatear.substring(origenSinFormatear.indexOf("_")+1);
		origen = origen.substring(0,origen.indexOf("_"));
		fechaOrigen = $("#"+origen).attr("data-date");
		//Si sigue siendo el mismo técnico, solo modificamos la fecha de planificación
		if(idTecnicoNuevo == idTecnicoAnterior && fechaDestino != fechaOrigen){
			url ="../agenda/modificarFechaConTecnico";
		}else{
			url = "../agenda/cambiarParteTecnico";	
		}
		
	}else if(idParteSinFormatear != "" && idParteSinFormatear.indexOf("parte") != -1){
		//Es un parte que no estaba asignado y ahora se asigna
		idParte = idParteSinFormatear.substring(5);
		idTecnicoNuevo = destinoSinFormatear.substring(destinoSinFormatear.indexOf("_")+1);
		idTecnicoNuevo = idTecnicoNuevo.substring(idTecnicoNuevo.indexOf("_")+1);
		idTecnicoAnterior = "0";
		url = "../agenda/asignarParteTecnico";
		var destino = destinoSinFormatear.substring(destinoSinFormatear.indexOf("_")+1);
		destino = destino.substring(0,destino.indexOf("_"));
		fechaDestino = $("#"+destino).attr("data-date");
		var fechaHoraActual = new Date();
		var strHora = formatHoraMinSegDate(fechaHoraActual); 
		fechaDestino = fechaDestino + " " + strHora;
	}
	//Se comprueba que haya cambiado de técnico, no estuviera asignado o se cambia la fecha de planificación
	//Si no no se hace nada
	if(idTecnicoNuevo != idTecnicoAnterior || fechaDestino != fechaOrigen){
		$.ajax({
			  type: "POST",				  
			  url: url,
			  data:  { idParte:idParte, fechaDestino:fechaDestino, idTecnico:idTecnicoNuevo, idTecnicoAnterior:idTecnicoAnterior, tipoParte: tipoParte, compartido: compartido
			  },
			  beforeSend : function(data) {
					//Mostrar div de sincronizando
				  $('#loaderdiv', window.parent.document).show();
			  },
			  success: function(data4){					 
				  $("#btnBuscar", top.document).click();
				  /*$("#filtroAgendaForm").attr("method","GET");
			    	$("#filtroAgendaForm").attr("target","iframeagenda");
			    	$("#filtroAgendaForm").submit();*/
				  },
			  error: function() {
				  $('#loaderdiv', window.parent.document).hide();
				  //mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
			  },
			  dataType: "json"
			});
	}
	
	
	
}

/**
 * Se traspasa el parte a otro técnico estando el actual en curso
 * Por lo que se finaliza el que esta en curso y se asigna al nuevo técnico
 * @param idParteSinFormatear
 * @param destinoSinFormatear
 * @param origenSinFormatear
 */
function modificarParteTraspasar(idParteSinFormatear, destinoSinFormatear, origenSinFormatear){
	var idParte = "";
	var idTecnicoNuevo = "";
	var idTecnicoAnterior = "";
	var url = "";
	var fechaDestino = "";
	var tipoParte = "";
	tipoParte = $("#"+idParteSinFormatear).attr("data-parte-tipo");
	var compartido = $("#"+idParteSinFormatear).attr("data-parte-compartido");
	idParte = idParteSinFormatear.substring(8,idParteSinFormatear.indexOf("_"));
	idTecnicoAnterior = idParteSinFormatear.substring(idParteSinFormatear.indexOf("_")+1);
	idTecnicoNuevo = destinoSinFormatear.substring(destinoSinFormatear.indexOf("_")+1);
	idTecnicoNuevo = idTecnicoNuevo.substring(idTecnicoNuevo.indexOf("_")+1);
	var destino = destinoSinFormatear.substring(destinoSinFormatear.indexOf("_")+1);
	destino = destino.substring(0,destino.indexOf("_"));
	fechaDestino = $("#"+destino).attr("data-date");
	var fechaHoraActual = new Date();
	var strHora = formatHoraMinSegDate(fechaHoraActual); 
	fechaDestino = fechaDestino + " " + strHora;
	
	var origen = origenSinFormatear.substring(origenSinFormatear.indexOf("_")+1);
	origen = origen.substring(0,origen.indexOf("_"));
	fechaOrigen = $("#"+origen).attr("data-date");
	url ="../agenda/modificarParteTraspasar";
	
	//Se comprueba que haya cambiado de técnico, no estuviera asignado o se cambia la fecha de planificación
	//Si no no se hace nada
	if(idTecnicoNuevo != idTecnicoAnterior){
		$.ajax({
			  type: "POST",				  
			  url: url,
			  data:  { idParte:idParte, fechaDestino:fechaDestino, idTecnico:idTecnicoNuevo, idTecnicoAnterior:idTecnicoAnterior, tipoParte: tipoParte, compartido: compartido
			  },
			  beforeSend : function(data) {
					//Mostrar div de sincronizando
				  $('#loaderdiv', window.parent.document).show();
			  },
			  success: function(data4){					 
				  $("#btnBuscar", top.document).click();
				  /*$("#filtroAgendaForm").attr("method","GET");
			    	$("#filtroAgendaForm").attr("target","iframeagenda");
			    	$("#filtroAgendaForm").submit();*/
				  },
			  error: function() {
				  $('#loaderdiv', window.parent.document).hide();
				  //mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
			  },
			  dataType: "json"
			});
	}
	
}

function modificarFechaParte(){
	var idParte = $("#idParteContext").val();
	var tipoParte = $("#tipoParteContext").val();
	var fechaNueva = $("#fechaplanifnueva").val();
	var idTecnico = $("#idTecnicoContext").val();
	var compartido = $("#compartidoContext").val();
	var idTecnicoAnterior = idTecnico;

	$.ajax({
		  type: "POST",				  
		  url: "../agenda/modificarFechaConTecnico",
		  data:  { idParte:idParte, fechaDestino:fechaNueva, idTecnico: idTecnico, idTecnicoAnterior: idTecnicoAnterior, tipoParte: tipoParte, compartido: compartido
		  },
		  beforeSend : function(data) {
				//Mostrar div de sincronizando
			  $('#loaderdiv', window.parent.document).show();
		  },
		  success: function(data4){					 
			  $("#btnBuscar", top.document).click();
			  /*$("#filtroAgendaForm").attr("method","GET");
		    	$("#filtroAgendaForm").attr("target","iframeagenda");
		    	$("#filtroAgendaForm").submit();*/
			  },
		  error: function() {
			  $('#loaderdiv', window.parent.document).hide();
			  //mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
		  },
		  dataType: "json"
		});
}

function modificarFechaParteSinAsignar(){
	var idParte = $("#idParteContext").val();
	var tipoParte = $("#tipoParteContext").val();
	var fechaNueva = $("#fechaplanifnueva").val();
	var compartido = $("#compartidoContext").val();
	
	$.ajax({
		  type: "POST",				  
		  url: "../agenda/modificarFechaSinTecnico",
		  data:  { idParte:idParte, fechaDestino:fechaNueva, tipoParte: tipoParte, compartido: compartido
		  },
		  beforeSend : function(data) {
				//Mostrar div de sincronizando
			  $('#loaderdiv', window.parent.document).show();
		  },
		  success: function(data4){					 
			  $("#btnBuscar", top.document).click();
			  /*$("#filtroAgendaForm").attr("method","GET");
		    	$("#filtroAgendaForm").attr("target","iframeagenda");
		    	$("#filtroAgendaForm").submit();*/
			  },
		  error: function() {
			  $('#loaderdiv', window.parent.document).hide();
			  //mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
		  },
		  dataType: "json"
		});
}


function cambiarAsignacionParteContext(){
	var idParte = $("#idParteAsigContext").val();
	var tipoParte = $("#tipoParteAsigContext").val();
	var fechaNueva = $("#fechaplanifAsignueva").val();
	var idTecnico = $("#idTecnicoAsigContext").val();
	var compartido = $("#compartidoAsigContext").val();
	var idTecnicoAnterior = idTecnico;
	var idTecnicoNuevo = $("#idTecnicoNuevoAsigContext").val();

	$.ajax({
		  type: "POST",				  
		  url: "../agenda/cambiarParteTecnico",
		  data:  { idParte:idParte, fechaDestino:fechaNueva, idTecnico: idTecnicoNuevo, idTecnicoAnterior: idTecnicoAnterior, tipoParte: tipoParte, compartido: compartido
		  },
		  beforeSend : function(data) {
				//Mostrar div de sincronizando
			  $('#loaderdiv', window.parent.document).show();
		  },
		  success: function(data4){					 
			  $("#btnBuscar", top.document).click();
			  /*$("#filtroAgendaForm").attr("method","GET");
		    	$("#filtroAgendaForm").attr("target","iframeagenda");
		    	$("#filtroAgendaForm").submit();*/
		  },
		  error: function() {
			  $('#loaderdiv', window.parent.document).hide();
		  },
		  dataType: "json"
		});
}

function nuevaAsignacionParteContext(){
	var idParte = $("#idParteAsigContext").val();
	var tipoParte = $("#tipoParteAsigContext").val();
	var fechaNueva = $("#fechaplanifAsignueva").val();
	var compartido = $("#compartidoAsigContext").val();
	var idTecnicoNuevo = $("#idTecnicoNuevoAsigContext").val();
	var idTecnicoAnterior="";
	$.ajax({
		  type: "POST",				  
		  url: "../agenda/asignarParteTecnico",
		  data:  { idParte:idParte, fechaDestino:fechaNueva, idTecnico:idTecnicoNuevo, idTecnicoAnterior:idTecnicoAnterior, tipoParte: tipoParte, compartido: compartido
		  },
		  beforeSend : function(data) {
				//Mostrar div de sincronizando
			  $('#loaderdiv', window.parent.document).show();
		  },
		  success: function(data4){					 
			  $("#btnBuscar", top.document).click();
			  /*$("#filtroAgendaForm").attr("method","GET");
		    	$("#filtroAgendaForm").attr("target","iframeagenda");
		    	$("#filtroAgendaForm").submit();*/
			  },
		  error: function() {
			  $('#loaderdiv', window.parent.document).hide();
		  },
		  dataType: "json"
		});
}

function liberarParteContext(idParte, idTecnico, tipoParte,fechaNueva, compartido){
	
	$.ajax({
		  type: "POST",				  
		  url: "../agenda/modificarAsignacionSinTecnico",
		  data:  { idParte:idParte, fechaDestino:fechaNueva, idTecnico:idTecnico, tipoParte: tipoParte, compartido: compartido
		  },
		  beforeSend : function(data) {
				//Mostrar div de sincronizando
			  $('#loaderdiv', window.parent.document).show();
		  },
		  success: function(data4){					 
			  $("#btnBuscar", top.document).click();
			  /*$("#filtroAgendaForm").attr("method","GET");
		    	$("#filtroAgendaForm").attr("target","iframeagenda");
		    	$("#filtroAgendaForm").submit();*/
		  },
		  error: function() {
			  $('#loaderdiv', window.parent.document).hide();
		  },
		  dataType: "json"
		});
}

